Bug 132780 - Update multimedia/x264 needed for an update on mplayer
Summary: Update multimedia/x264 needed for an update on mplayer
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-03-18 17:00 UTC by baptiste.daroussin
Modified: 2009-03-31 15:00 UTC (History)
0 users

See Also:


Attachments
x264.patch (6.77 KB, patch)
2009-03-18 17:00 UTC, baptiste.daroussin
no flags Details | Diff
patch-libavcodec__libx264.c (1.53 KB, text/x-csrc; charset=us-ascii)
2009-03-31 10:05 UTC, baptiste.daroussin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description baptiste.daroussin 2009-03-18 17:00:14 UTC
this is an upgrade of x264 for version .so.65 (need to chase the lib version change).
this version doesn't support x264-gtk anymore so multimedia/x264-gtk needs to be removed.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2009-03-18 17:59:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-multimedia

Fix synopsis and assign.
Comment 2 Pav Lucistnik freebsd_committer 2009-03-30 23:21:30 UTC
State Changed
From-To: open->feedback

ffmpeg does not build with this new version. Can you provide a patch to fix 
that build? 

libavcodec/libx264.c: In function 'X264_init': 
libavcodec/libx264.c:165: error: 'x264_param_t' has no member named 'b_bframe_adaptive' 
libavcodec/libx264.c:230: error: 'struct <anonymous>' has no member named 'b_bidir_me' 
libavcodec/libx264.c:231: error: 'struct <anonymous>' has no member named 'b_bframe_rdo' 
libavcodec/libx264.c:256: error: 'struct <anonymous>' has no member named 'psz_rc_eq' 



Comment 3 Pav Lucistnik freebsd_committer 2009-03-30 23:21:30 UTC
Responsible Changed
From-To: freebsd-multimedia->pav

Track
Comment 4 baptiste.daroussin 2009-03-31 10:05:24 UTC
Here is a patch add to the files repository of ffmpeg ports, it is a backport of
de libavcodec/libx264.c from ffmpeg-0.5 and it works.

Bapt
Comment 5 Pav Lucistnik freebsd_committer 2009-03-31 12:54:29 UTC
State Changed
From-To: feedback->open

Patch received
Comment 6 Pav Lucistnik freebsd_committer 2009-03-31 14:57:18 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 7 dfilter service freebsd_committer 2009-03-31 14:58:33 UTC
pav         2009-03-31 13:58:18 UTC

  FreeBSD ports repository

  Modified files:
    multimedia           Makefile 
    multimedia/ffmpeg    Makefile 
    multimedia/gstreamer-plugins Makefile.common 
    multimedia/gstreamer-plugins-x264 Makefile 
    multimedia/libquicktime Makefile distinfo 
    multimedia/lives     Makefile 
    multimedia/mpeg4ip   Makefile 
    multimedia/mplayer   Makefile.options 
    multimedia/vlc       Makefile 
    multimedia/x264      Makefile distinfo pkg-plist 
    multimedia/x264/files patch-Makefile 
  Added files:
    multimedia/ffmpeg/files patch-libavcodec_libx264.c 
  Removed files:
    multimedia/x264/files patch-configure patch-gtk_Makefile 
    multimedia/x264-gtk  Makefile pkg-plist 
  Log:
  - Update x264 to 0.0.20081218
  - Remove x264-gtk
  
  PR:             ports/132780
  Submitted by:   Bapt <baptiste.daroussin@gmail.com>
  
  - Update libquicktime to 1.1.1 to fix build with new x264
  
  Submitted by:   kwm
  
  - Chase x264 shlib bump
  
  Revision  Changes    Path
  1.313     +0 -1      ports/multimedia/Makefile
  1.94      +2 -2      ports/multimedia/ffmpeg/Makefile
  1.1       +37 -0     ports/multimedia/ffmpeg/files/patch-libavcodec_libx264.c (new)
  1.9       +1 -1      ports/multimedia/gstreamer-plugins-x264/Makefile
  1.84      +2 -2      ports/multimedia/gstreamer-plugins/Makefile.common
  1.64      +2 -3      ports/multimedia/libquicktime/Makefile
  1.17      +3 -3      ports/multimedia/libquicktime/distinfo
  1.23      +2 -2      ports/multimedia/lives/Makefile
  1.87      +2 -2      ports/multimedia/mpeg4ip/Makefile
  1.7       +1 -1      ports/multimedia/mplayer/Makefile.options
  1.186     +2 -2      ports/multimedia/vlc/Makefile
  1.3       +0 -17     ports/multimedia/x264-gtk/Makefile (dead)
  1.2       +0 -10     ports/multimedia/x264-gtk/pkg-plist (dead)
  1.68      +9 -21     ports/multimedia/x264/Makefile
  1.36      +3 -6      ports/multimedia/x264/distinfo
  1.15      +9 -12     ports/multimedia/x264/files/patch-Makefile
  1.12      +0 -29     ports/multimedia/x264/files/patch-configure (dead)
  1.2       +0 -20     ports/multimedia/x264/files/patch-gtk_Makefile (dead)
  1.6       +1 -1      ports/multimedia/x264/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"